--image
load1 = Image.load("datas/loading1.png")
load2 = Image.load("datas/loading2.png")
transition = Image.load("datas/transition.png")

--variables
loadY = 97
transY = 900


--boucle principale

while true do
pad = Controls.read()
screen:clear()
transY = transY - 6
loadY = loadY - 0.3
screen:blit(238, loadY, load2)
screen:blit(175, 22, load1)
screen:blit(0, transY, transition)

if loadY <= 50 then loadY = 50 end
if transY <= -240 then
screen.waitVblankStart(25)
dofile ("menu.lua")
break
end

if pad:start() then
dofile("menu.lua")
break
end

screen.waitVblankStart()
screen.flip()
end 